OpenNMS API 1.2.9

## org.opennms.netmgt.config
Class DbConfiguration

    java.lang.Object
      org.opennms.netmgt.config.DbConfiguration

public class DbConfiguration
extends java.lang.Object

Field Summary
`private org.exolab.castor.jdo.conf.Database` `m_database`
`private java.lang.String` `m_driverClassName`
`private java.lang.String` `m_driverPass`
`private java.lang.String` `m_driverUrl`
`private java.lang.String` `m_driverUser`

Constructor Summary
`DbConfiguration(org.exolab.castor.jdo.conf.Database database)`

Method Summary
`org.exolab.castor.jdo.conf.Database` `getDatabase()`
`java.lang.String` `getDriverClassName()`
`java.lang.String` `getDriverPass()`
`java.lang.String` `getDriverUrl()`
`java.lang.String` `getDriverUser()`
`void` `setDriverClassName(java.lang.String driverClassName)`
`void` `setDriverPass(java.lang.String driverPass)`
`void` `setDriverUrl(java.lang.String driverUrl)`
`void` `setDriverUser(java.lang.String driverUser)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_database

    private org.exolab.castor.jdo.conf.Database m_database

### m_driverUser

    private java.lang.String m_driverUser

### m_driverPass

    private java.lang.String m_driverPass

### m_driverUrl

    private java.lang.String m_driverUrl

### m_driverClassName

    private java.lang.String m_driverClassName

Constructor Detail

### DbConfiguration

    public DbConfiguration(org.exolab.castor.jdo.conf.Database database)

Method Detail

### getDatabase

    public org.exolab.castor.jdo.conf.Database getDatabase()

### setDriverUser

    public void setDriverUser(java.lang.String driverUser)

### getDriverUser

    public java.lang.String getDriverUser()

### setDriverPass

    public void setDriverPass(java.lang.String driverPass)

### getDriverPass

    public java.lang.String getDriverPass()

### setDriverUrl

    public void setDriverUrl(java.lang.String driverUrl)

### getDriverUrl

    public java.lang.String getDriverUrl()

### setDriverClassName

    public void setDriverClassName(java.lang.String driverClassName)

### getDriverClassName

    public java.lang.String getDriverClassName()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.